﻿html, h2, body {
    margin: 0;
    padding: 0;
    font-family: Verdana, Helvetica, sans-serif;
}

fieldset {
    margin: 0;
    padding: 2px 0;
    border: 0;
}

.strong{
    font-weight: bold;
}

.db{
    display: block;
}

.javascript{
    position:absolute;
    left:-10000px;
    top:auto;
    width:1px;
    height:1px;
    overflow:hidden;
}

.noJavascript{display: none !important;}

.hideContent{display: none;}

.menuShow{
    left:0 !important;
    display: block;
    width:100%;
    height:auto;
}

.messageClass{
    text-align: center;
}

.messageClass0 h2{
    color:green;
}
.messageClass1 h2{
    color:orange;
}
.messageClass2 h2,.messageClass2 h3{
    color:red;
}

#menu{
    width: 100%;
    margin: 0;
    padding: 0;
    background-color: white;
    z-index: 10;
    text-align: center;
    top: 0;
}

#menu ul{
    list-style-type: none;
    display: inline;
    height: 100%;
}

#menu li{
    margin: 10px 0;
    height: 100px;
    width: 100%;
}

#close_btn{cursor: pointer; height: 20px;}

#close_cont{display: inline-block;}

#close_cont > div:first-child{
    transform:rotate(-45deg);
    margin: 0;
}

#close_btn button, #hamburger {
    background: white;
    border: none;
}

.closeslice{
    width: 35px;
    height: 5px;
    background-color: black;
    margin: -4px 0;
    transform:rotate(45deg);
}

.full_row{width: 100%;}

/* fine aggiunte riccardo */


#hamburger{
    margin: 0 auto;
    margin-bottom: 5px;
    width: 30px;
    height: 30px;
    display: block;
    position: relative;
    border-radius: 3px;
    cursor: pointer;
    padding: 0;
}

.slices_hamburger{
    width: 35px;
    height: 5px;
    background-color: black;
    margin: 6px 0;
}

h2 {
    text-align: center;
}

.title {
    text-align: center;
    position: relative;
}

.element-invisible{
    position: absolute !important;
    clip: rect(1px, 1px, 1px, 1px);
    overflow: hidden;
    height: 1px;
}

html {
    max-width: 100%;
    margin: 0;
    padding: 0;
    border: 0;
    vertical-align: baseline;
}

#header {
    width: 100%;
}

#logo {
    display: none;
}

#page_title {
    color: #3A29B5;
    display: block;
    width: 100%;
    margin: 20px auto;
    text-align: center;
}

#breadcrumb {
    width: 100%;
    text-align: center;
    position: relative;
    margin: 0 auto;
}

#position_page{
    padding: 5px 0;
    background-color: #3A29B5;
    color: white;
}

#content{
    width: 95%;
    max-width: 800px;
    margin: 0 auto;
    padding: 15px 0;
}

.subtitle{
    text-align: center;
}

/* home */

.linkepic{
    display: block;
    border: 1px solid #cccccc;
    border-radius: 3px;
    margin: 5px auto;
    padding: 15px 0;
    box-shadow: 2px 2px #cccccc;
}

.smallpic{
    display: block;
    width: 100%;
    max-width: 200px;
    margin: 0 auto;
}

.linktext{
    text-align: center;
    display: block;
    position: relative;
}

/* destinations list */

#dest_list strong{
    text-align: center;
    display: block;
    margin-bottom: 7px;
}

#dest_list .dest_text {
    width: 95%;
    text-align: justify;
    margin: 0 auto;
    display: block;
    word-break: break-all;
}

.left{
    display: none;
}


.destination {
    width: 100%;
    border: 1px solid #808080;
    border-radius: 3px;
    margin: 5px auto;
    padding: 10px 0;
    box-shadow: 2px 2px #cccccc;
}

/* singola destinazione */

.planet_bigpic{
    width: 100%;
    max-width: 800px;
    margin: 10px auto;
    display: block;
    max-height: 400px;
    object-fit: contain;
}

.descr_planet{
    margin: 5% 0;
}

/* edit and delete destinations */

.link_dest_action{
    text-align: center;
    display: inline-block;
}

.nav_dest {
    width: 100%;
    margin: 10px 0;
}

#add_dest{
    width: 100%;
}

.destination > h3{
    text-align: center;
    margin: 10px;
}

.destination > a{
    width: 46.5%;
    margin-left: 1%;
    margin-right: 1%;
    display: inline-block;
    padding: 10px 0;
    text-align: center;
    margin-bottom: 15px;
    border: 1px solid #808080;
    border-radius: 3px;

}

/*form login e aggiungi destinazione*/

.a_form {
    position: absolute;
}
.a_form {
    position: relative;
    width: 100%;
    margin: 0;
    padding: 0;
    text-align: left;
    font-size: 10pt;
    font-weight: bold;
}

.a_form label {
    padding-top: 10px;
}
.a_form fieldset {
    padding: 4px;
}


.a_form input[type=text], .a_form input[type=password], .a_form input[type=file], .a_form textarea {
    width: 99%;
    margin: 2px 0 2px 0;
    border: 1px solid #000000;
    padding-left: 2px;
    padding-right: 2px;
    border-radius: 3px;
    height: 25px;
}

.button input[type=submit]{
    width: 12em;
    display: block;
    height: 30px;
}

form.link_dest_action.nav_dest {
    padding: 1px 0;
}

legend{
    width:1px;
    height:1px;
    overflow:hidden;
    left: -100000px;
    position: absolute;
}

input[type=submit] {
    cursor: pointer;
    color: #FFFFFF;
    margin: 0 auto;
    border: 1px solid #000000;
    background-color: #3A29B5;
    font-size: 11pt;
    border-radius: 3px;
    text-align: center;
}

.a_form_container {
    position: relative;
    width: 95%;
}

#planet_description{
    height: 250px;
    padding-top:5px;
}

a#gotop_help {
    background: white;
    padding: 12px;
    border-radius: 5px;
}

#footer {
    width: 100%;
    text-align: center;
    position: relative;
    bottom: 0%;
}

#footer p {
    font-weight: bold;
}

.hide{display: none;}

.print{display:none;}

form#search_bar {
    margin-bottom: 10px;
}

.noPlanets{
    background: url(../img/noPlanets.png);
    max-height: 200px;
    max-width: 200px;
    height: 100%;
    width: 100%;
    background-size: cover;
    margin: 8% auto;
    padding: 8%;
}


@media screen and (min-width: 355px){

}/* piccoli schermi e telefoni in modalità  portrait */

@media screen and (min-width: 768px){

}/* tablet 10 pollici portrait */

@media print {

    /* Display print elements such as copyright with url of the website */
    .print {
        display: block;
    }

    #position_page{
        background: white;
        color: #3A29B5;
    }

    #menu, .linktext {
        visibility: hidden;
    }

    /*When printing page just need the bare content without forms, menu, icons, home decorative pics*/
    form, #hamburger, #valid_w3c, #gotop_help,#homepics {
        display: none;
        visibility: hidden;
    }

    a {
        text-decoration: none;
    }

    * {
        color: black;
    }
}